#ifndef _BASEFUNC_H_
#define _BASEFUNC_H_

#include "StructureH.h"
#include <STRING>
// POMOCNE FUNKCE
TRGBf GetRGBf(float r, float g, float b);
TPoint GetTPoint(float x,float y);
TVel W_GetVel(float w, float h);

void W_Ortho();
void W_Proj();

std::string W_GetPripona(std::string name, char znak='.');

TRect W_PrevedRectNaScreen(TRect rect, int screenX, int screenY);
int W_PrevedIntXNaScreen(int x, int screenX);
int W_PrevedIntYNaScreen(int y, int screenY);
TAshlar W_PrevedBBoxNaAshlar(TBBox b);

int W_SpecRand(int i);	// vraci i minusovy nahodny cisla
int W_Spec2Rand(int A, int B);

std::string W_GetStringPlusInt(std::string t, int v);

void W_SetColor( TRGBf &c );
void W_NaplnPole( float *cil, const float *zdroj, int kol );

std::string W_GetString(const char * fmt, ...);
//#define W_GetString W_STR;
//typedef W_GetString W_STR;

#endif // _BASEFUNC_H_